Package javax.help

# Class JHelpTOCNavigator

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.help.JHelpNavigator
javax.help.JHelpTOCNavigator

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class JHelpTOCNavigator extends JHelpNavigator
A JHelpNavigator for a TOC. All of the tree navigation and selection has been delegated to the UI where the JTree is created.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.help.JHelpNavigator

`JHelpNavigator.AccessibleJHelpNavigator`

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

### Fields inherited from class javax.help.JHelpNavigator

`helpModel, type`

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`JHelpTOCNavigator(HelpSet hs, String name, String label, URL data)`
Creates a TOC navigator with explicit arguments.
`JHelpTOCNavigator(NavigatorView view)`
Create a TOC navigator
`JHelpTOCNavigator(NavigatorView view, HelpModel model)`
Creates a TOC navigator.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canMerge(NavigatorView view)`
Determines if this instance of a JHelpNavigator can merge its data with another one.
`void`
`collapseID(String target)`
Sets state of navigation entry for given target to collapsed if entry is visible.
`void`
`expandID(String target)`
Sets state of navigation entry for given target to expanded.
`String`
`getUIClassID()`
The UID for this JComponent.
`void`
`merge(NavigatorView view)`
Merges a NavigatorView into this instance.
`void`
`remove(NavigatorView view)`
Removes a NavigatorView from this instance.

### Methods inherited from class javax.help.JHelpNavigator

`addHelpModelListener, createParams, getAccessibleContext, getIcon, getModel, getNavigatorLabel, getNavigatorLabel, getNavigatorName, getNavigatorView, getSelectedItems, getUI, removeHelpModelListener, setModel, setSelectedItems, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JHelpTOCNavigator

public JHelpTOCNavigator(NavigatorView view)
Create a TOC navigator

Parameters:
  `view` - The NavigatorView. If view is null it creates a JHelpTOCNavigator without a HelpModel and a null NavigatorView.

### JHelpTOCNavigator

public JHelpTOCNavigator(NavigatorView view, HelpModel model)
Creates a TOC navigator.

Parameters:
  `view` - The NavigatorView. If `view` is null it creates a JHelpTOCNavigator with a null NavigatorView.
  `model` - The model for the Navigator. If `model` is null it creates a JHelpTOCNavigator witout a model.

### JHelpTOCNavigator

public JHelpTOCNavigator(HelpSet hs, String name, String label, URL data) throws InvalidNavigatorViewException
Creates a TOC navigator with explicit arguments. Note that this should not throw an InvalidNavigatorViewException since the type is implicitly passed.

Parameters:
  `hs` - HelpSet
  `name` - The name indentifying this HelpSet.
  `label` - The label to use (for this locale).
  `data` - The "data" part of the parameters, a URL location of the TOC data.
Throws:
  `InvalidNavigatorViewException`

## Method Details

### getUIClassID

public String getUIClassID()
The UID for this JComponent.

Overrides:
  `getUIClassID` in class `JHelpNavigator`
Returns:
  "HelpNavigatorUI"

### canMerge

public boolean canMerge(NavigatorView view)
Determines if this instance of a JHelpNavigator can merge its data with another one.

Overrides:
  `canMerge` in class `JHelpNavigator`
Parameters:
  `view` - The data to merge.
Returns:
  Whether it can be merged.
See Also:
  - invalid reference

        merge()

  - invalid reference

        remove()

### merge

public void merge(NavigatorView view)
Merges a NavigatorView into this instance.

Overrides:
  `merge` in class `JHelpNavigator`
Parameters:
  `view` - The data to merge. This must be a TOCView.
Throws:
  `IllegalArgumentException`
  `IllegalStateException`
See Also:
  - invalid reference

        canMerge()

  - invalid reference

        remove()

### remove

public void remove(NavigatorView view)
Removes a NavigatorView from this instance.

Overrides:
  `remove` in class `JHelpNavigator`
Parameters:
  `view` - The data to merge.
Throws:
  `IllegalArgumentException`
  `IllegalStateException`
See Also:
  - invalid reference

        canMerge()

  - invalid reference

        merge()

### expandID

public void expandID(String target)
Sets state of navigation entry for given target to expanded. Non-empty entry is expanded. Empty entry is visible.

Parameters:
  `target` - The target to expand

### collapseID

public void collapseID(String target)
Sets state of navigation entry for given target to collapsed if entry is visible. Parent is collapsed if entry is empty.

Parameters:
  `target` - The target to collapse